﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DoubleTextBox
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.doubleTextBox.TextChanged += DoubleTextBox_TextChanged;
        }

        private void DoubleTextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            doubleTextBox.Text = Convert.ToString((double)Math.Truncate((decimal)(doubleTextBox.Value)) + 0.5);
        }



    }
}
